﻿Imports System
Imports System.Data
Imports System.Drawing
Imports System.Web
Imports System.Web.UI.WebControls
Imports System.Web.UI

Partial Class _Default
	Inherits System.Web.UI.Page

	Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

	End Sub

	Protected Sub Button1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button1.Click
        DownloadToExcel(DataGridToExcel(Me.C1GridView1), Response)
    End Sub

    Public Sub DownloadToExcel(ByVal content As String, ByVal response As HttpResponse)
        'clean up the response.object
        response.Clear()
        response.Buffer = True
        response.Charset = ""
        'set the response mime type for excel
        response.ContentType = "application/vnd.ms-excel"
        response.ContentEncoding = New System.Text.UTF8Encoding()
        response.Write(content)
        response.End()
    End Sub

    Public Function DataGridToExcel(ByVal dgExport As C1.Web.Wijmo.Controls.C1GridView.C1GridView) As String
        'create a string writers
        Dim stringWrite As New System.IO.StringWriter()
        'create an htmltextwriter which uses the stringwriter
        Dim htmlWrite As New System.Web.UI.HtmlTextWriter(stringWrite)


        Dim dg As C1.Web.Wijmo.Controls.C1GridView.C1GridView
        'just set the input datagrid = to the new dg grid

        dg = dgExport

        'Make the header text bold
        dg.HeaderStyle.Font.Bold = True

        'If needed, here's how to change colors/formatting at the component level
        dg.HeaderStyle.ForeColor = System.Drawing.Color.Black
        dg.RowStyle.ForeColor = System.Drawing.Color.Black

        'bind the modified datagrid
        'tell the datagrid to render itself to our htmltextwriter

        dg.AllowSorting = False
        dg.AllowPaging = False
        dg.AllowCustomPaging = False

        'new code
        Dim parent As Control = dg.Parent
        parent.Controls.Remove(dg)

        dg.RenderControl(htmlWrite)

        'new code
        parent.Controls.Add(dg)


        'output the html
        Return stringWrite.ToString()
    End Function


End Class
